	list		p=16f84		; Tip mikrokontrolerja
	#include	<p16f84.inc>	; Vkljuvitev .inc datoteke

	__CONFIG	_WDT_OFF & _CP_OFF & _PWRTE_ON & _XT_OSC

	CBlock	0x0C			; Zacetek bloka konstant
		Operand1 : 2		; Prvi operand (16-biten),
					; po odstevanju rezultat
		Operand2 : 2		; Drugi operand (16-biten)
	endc				; Konec bloka konstant

	org	0x000
	goto	Glavni			; Reset vektor
	
	org	0x004
Glavni	
	movlw	0xA0
	movwf	Operand1
	movlw	0xFF
	movwf	Operand1+1		; Operand1 = 0xA0FF
	movlw	0x01
	movwf	Operand2
	movlw	0xAC			; Operand2 = 0x01AC
	movwf	Operand2+1		; Nalozimo podatke v Operand1 in
					; Operand2

	call	odstej16		; Klici odstevanje
	
	; Sedaj je Operand1 - Operand2 v Operand1 = 0x9F53

Konec	goto	Konec			; Konec programa

;*************** ODSTEVANJE Operand1 - Operand2 = Operand1 ***************

Odstej16
	movf	Operand2+1,w		; Nizji bajt Operand2 -> W
	subwf	Operand1+1,f		; Odstej nizje bajte
	movf	Operand2,w		; Visji bajt Operand2 -> W
	btfss	STATUS,C		; Ali je prislo do prenosa (C=0)?
	incf	Operand2,w		; Da, povecaj Operand2 -> W
	subwf	Operand1,f		; Odstej visje bajte
	return				; Konec podprograma

	END				; Konec programa
