	list		p=16f84
	#include 	<p16f84.inc>

	__CONFIG	_WDT_OFF & _PWRTE_ON & _CP_OFF & _XT_OSC

Stat	EQU	0x0C
Work	EQU	0x0D		; Spremenljivki, v katere shranimo registra
				; STATUS in W pri prekinitvi

	org	0x000
	goto	Glavni		; Reset vektor, skok v glavni program
	
;*************************************************************************
	org	0x004
Prek				; Prekinitvena rutina na 0x004
	bcf	INTCON,GIE	; Onemogocimo ostale prekinitve
	movwf	Work		; Shranimo register W
	swapf	STATUS,w
	movwf	Stat		; Shranimo register STATUS
	bcf	STATUS,RP0	; Banka 0
	movlw	B'00001000'
	xorwf	PORTB,f		; Preklopimo LED na RB3
	bcf	INTCON,RBIF	; Izklopimo RBIF
	swapf	Stat,w
	movwf	STATUS		; Obnovimo vrednost STATUS
	swapf	Work,f
	swapf	Work,w		; Obnovimo vrednost W	
	retfie			; Gremo iz prekinitvene rutine, GIE=1

;*************************************************************************

Glavni				; Glavni program
	bsf	STATUS,RP0	; Banka 1
	movlw	B'11110000'	
	movwf	TRISB		; RB4-RB7 vhodi
	clrf	TRISA		; PORTA je cel izhod
	bcf	STATUS,RP0	; Banka 0
	movlw	B'10001000'
	movwf	INTCON		; GIE=1, RBIE=1, onemogocimo ostale prekinitve,
				; izbrisemo bite za sporocanje vira prekinitve
	clrf	PORTA
	clrf	PORTB		; Izklopimo vse izhodne pine
	
Konec	goto	Konec		; Program spravimo v zanko, prekinitve delujejo v
				; ozadju

	END			; Konec
