	list		p=16f84		; Tip mikrokontrolerja
	#include	"p16f84.inc"	; Vljucitev .inc datoteke

	__CONFIG	_WDT_OFF & _CP_OFF & _PWRTE_ON & _XT_OSC

	Cblock	0x0C			; Definicije konstant
		Operand1 : 2		; Prvi operand (16-biten)
		Operand2 : 2		; Drugi operand (16-biten),
					; po sestevanju rezultat
	endc				; Konec bloka konstant
	
	org	0x000
	goto	Glavni			; Reset vektor
	
	org	0x004
Glavni					; Glavni program
	movlw	0x01
	movwf	Operand1
	movlw	0xAA
	movwf	Operand1+1		; Operand1 = 0x01AA
	movlw	0x03
	movwf	Operand2
	movlw	0xFF			; Operand2 = 0x03FF
	movwf	Operand2+1		; Nalozimo vrednosti Operand1 in
					; Operand2

	call	Sestej16		; Klicemo sestevanje

	;Operand2 = Operand1 + Operand2 = 0x01AA + 0x03FF = 0x05A9

Konec	goto	Konec

;******************* SESTEVANJE Operand1 + Operand2 = Operand2 ***********

Sestej16
	movf	Operand1+1,w		; Nizji bajt Operand1 -> W
	addwf	Operand2+1,f		; Sestej nizja dva bajta
	btfsc	STATUS,C		; Preveri Carry
	incf	Operand2,f		; Carry=1, povecaj visji bajt
	movf	Operand1,w		; Visji bajt Operand1 -> W
	addwf	Operand2,f		; Sestej visja bajta
	return				; Konec podprograma

	END				; Konec programa
	
	
