	list		p=16f84		; Tip mikrokontrolerja
	#include	<p16f84.inc>	; Vkljucitev .inc datoteke
	
	__CONFIG	_WDT_OFF & _XT_OSC & _PWRTE_ON & _CP_OFF

	Cblock	0x0C			; Definicija bloka konstant
		Faktor1			; Prvi faktor mnozenja (1 bajt)
		Faktor2			; Drugi faktor mnozenja (1 bajt)
		Produkt : 2		; Produkt (2 bajta)
		Stevec			; Stevec za mnozenje
	endc				; Konec bloka konstant

	org	0x000
	goto	Glavni			; Reset vektor

	org	0x004
Glavni					; Glavni program

	movlw	0x03
	movwf	Faktor1
	movlw	0x10
	movwf	Faktor2			; Nalozimo podatke v Faktor1 in
					; Faktor2
	call	Mnozi16			; Klici mnozenje

	; Sedaj vsebuje Produkt produkt Faktor1 * Faktor2 = 0x0030

Zanka	goto	Zanka			; Neskoncna zanka

;********* MNOZENJE Faktor1 * Faktor2 = Produkt **************************

Mnozi16					; Podprogram za mnozenje
	clrf	Produkt
	clrf	Produkt+1		; Pobrisemo cel produkt
	movlw	.8
	movwf	Stevec			; 8 nalozimo v Stevec (8 ponovitev)
	movf	Faktor1,w		; Faktor1 -> W
Delaj
	rlf	Faktor2,f		; Pomaknemo faktor2 v levo C=MSB
	btfsc	STATUS,C		; Ali je C=1
	addwf	Produkt+1,f		; Da, pristej Faktor1 nizjemu bajtu produkta
	btfsc	STATUS,C		; Ali je C=1 (prenos pri pristevanju)
	incf	Produkt,f		; Da, povecaj visji bajt produkta
	decf	Stevec,f		; Zmanjsaj Stevec
	btfsc	STATUS,Z		; Ali je Stevec ze 0 (8 ponovitev)?
	return				; Da, koncaj podprogram
	bcf	STATUS,C		; C=0
	rlf	Produkt+1,f
	rlf	Produkt,f		; Pomakni cel produkt v levo
	goto	Delaj			; Nadaljuj (8x)
	
	end
